BasketsCalculateSearchOne:
  post:
    tags:
      - calculatorsBaskets
    operationId: searchBasketCalculate
    x-lg-handler: 'App\Http\ApiV1\Modules\Baskets\Controllers\BasketCalculatorsController@searchOne'
    x-lg-skip-request-generation: true
    summary: Получить полную информацию о корзине пользователя
    description: Получить полную информацию о корзине пользователя
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/calculate_baskets.yaml#/SearchBasketCalculateRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/calculate_baskets.yaml#/SearchBasketCalculateResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
BasketsCalculatePromoCode:
  post:
    tags:
      - calculatorsBaskets
    operationId: setBasketCalculatePromoCode
    x-lg-handler: 'App\Http\ApiV1\Modules\Baskets\Controllers\BasketCalculatorsController@promoCode'
    summary: Установить промокод
    description: Установить промокод
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/calculate_baskets.yaml#/SetBasketPromoCodeRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/calculate_baskets.yaml#/SearchBasketCalculateResponse'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
